X2Go Bug report logs - #600
reintroduce zlib support for libssh in X2Go Client

version graph

Package: x2goclient; Maintainer for x2goclient is X2Go Developers <x2go-dev@lists.x2go.org>; Source for x2goclient is src:x2goclient.

Reported by: Lars Wendler <polynomial-c@gentoo.org>

Date: Tue, 2 Sep 2014 16:45:01 UTC

Severity: normal

Tags: build-win32, pending

Found in version 4.0.2.1

Fixed in version 4.0.3.0

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#590; Package x2goclient. (Tue, 02 Sep 2014 16:45:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lars Wendler <polynomial-c@gentoo.org>:
New Bug report received and forwarded. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>.

Your message had a Version: pseudo-header with an invalid package version:

some future release

please either use found or fixed to the control server with a correct version, or reply to this report indicating the correct version so the maintainer (or someone else) can correct it for you.

(Tue, 02 Sep 2014 16:45:01 GMT) Full text and rfc822 format available.


Message #5 received at submit@bugs.x2go.org (full text, mbox):

From: Lars Wendler <polynomial-c@gentoo.org>
To: submit@bugs.x2go.org
Subject: X2Go Client for Windows with libssh-0.5.x: cannot connect to hpn-enabled SSH servers
Date: Tue, 2 Sep 2014 18:31:49 +0200
[Message part 1 (text/plain, inline)]
Package: x2goclient
Version: some future release

Hi,

I'd like to request an update of libssh to version 0.6.x for the
Windows build of the X2Go Client software.
The current Windows builds which are shipped with libssh-0.5.5 have a
connection problem with hpn-enabled openssh servers [1].
We at Gentoo already faced the same problem a while ago [2].

The problem looks like this:
After a successful login with libssh-0.5.x to the hpn-enabled
openssh server the connection just hangs. There's no further data being
transferred from or to the server. This results in the X2Go Client to
hang as well.
After upgrading libssh to version 0.6.x the problem disappears.

[1] http://www.psc.edu/index.php/hpn-ssh
[2] https://bugs.gentoo.org/482548

Kind regards
-- 
Lars Wendler
Gentoo package maintainer
GPG: 4DD8 C47C CDFA 5295 E1A6 3FC8 F696 74AB 981C A6FC
[signature.asc (application/pgp-signature, attachment)]

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#590; Package x2goclient. (Wed, 03 Sep 2014 05:35:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael DePaulo <mikedep333@gmail.com>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Wed, 03 Sep 2014 05:35:03 GMT) Full text and rfc822 format available.

Message #10 received at 590@bugs.x2go.org (full text, mbox):

From: Michael DePaulo <mikedep333@gmail.com>
To: 590@bugs.x2go.org
Cc: Lars Wendler <polynomial-c@gentoo.org>, Oleksandr Shneyder <o.shneyder@phoca-gmbh.de>
Subject: Re: [X2Go-Dev] Bug#590: X2Go Client for Windows with libssh-0.5.x: cannot connect to hpn-enabled SSH servers
Date: Wed, 3 Sep 2014 01:32:27 -0400
Control: found -1 4.0.2.1
Control: severity -1 normal

On Tue, Sep 2, 2014 at 12:31 PM, Lars Wendler <polynomial-c@gentoo.org> wrote:
> Package: x2goclient
> Version: some future release
>
> Hi,
>
> I'd like to request an update of libssh to version 0.6.x for the
> Windows build of the X2Go Client software.
> The current Windows builds which are shipped with libssh-0.5.5 have a
> connection problem with hpn-enabled openssh servers [1].
> We at Gentoo already faced the same problem a while ago [2].
>
> The problem looks like this:
> After a successful login with libssh-0.5.x to the hpn-enabled
> openssh server the connection just hangs. There's no further data being
> transferred from or to the server. This results in the X2Go Client to
> hang as well.
> After upgrading libssh to version 0.6.x the problem disappears.
>
> [1] http://www.psc.edu/index.php/hpn-ssh
> [2] https://bugs.gentoo.org/482548
>
> Kind regards
> --
> Lars Wendler
> Gentoo package maintainer
> GPG: 4DD8 C47C CDFA 5295 E1A6 3FC8 F696 74AB 981C A6FC
[...]

Alex,

Do you have time to try to build libssh 0.6.3 like you did for 0.5.5?
If not, I'll try to do so over the next week or 2.

Like before, you need to incorporate the pageant patch:
http://bugs.x2go.org/cgi-bin/bugreport.cgi?bug=448
However, it does not apply cleanly. Many of the hunks fail. You are
much better at C programming than I am.

The 2 other patches (libssh-0.5.x-accept-forward.patch &
libssh-0.5.x-unblock.patch) have been upstreamed.

-Mike#2


Marked as found in versions 4.0.2.1. Request was from Michael DePaulo <mikedep333@gmail.com> to 590-submit@bugs.x2go.org. (Wed, 03 Sep 2014 05:35:03 GMT) Full text and rfc822 format available.

Added tag(s) build-win32. Request was from Michael DePaulo <mikedep333@gmail.com> to control@bugs.x2go.org. (Wed, 03 Sep 2014 05:35:04 GMT) Full text and rfc822 format available.

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#590; Package x2goclient. (Wed, 03 Sep 2014 14:10:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael DePaulo <mikedep333@gmail.com>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Wed, 03 Sep 2014 14:10:02 GMT) Full text and rfc822 format available.

Message #19 received at 590@bugs.x2go.org (full text, mbox):

From: Michael DePaulo <mikedep333@gmail.com>
To: 590@bugs.x2go.org
Subject: I submitted Pageant support as a feature request to upstream
Date: Wed, 3 Sep 2014 10:06:07 -0400
I submitted Pageant support as a feature request to upstream
https://red.libssh.org/issues/165


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#590; Package x2goclient. (Sun, 07 Sep 2014 01:35:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike DePaulo <mikedep333@gmail.com>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Sun, 07 Sep 2014 01:35:02 GMT) Full text and rfc822 format available.

Message #24 received at 590@bugs.x2go.org (full text, mbox):

From: Mike DePaulo <mikedep333@gmail.com>
To: 590-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 590@bugs.x2go.org
Subject: X2Go issue (in src:x2goclient) has been marked as pending for release
Date: Sun, 7 Sep 2014 03:30:15 +0200 (CEST)
tag #590 pending
fixed #590 4.0.3.0
thanks

Hello,

X2Go issue #590 (src:x2goclient) reported by you has been
fixed in X2Go Git. You can see the changelog below, and you can
check the diff of the fix at:

    http://code.x2go.org/gitweb?p=x2goclient.git;a=commitdiff;h=1b24ad2

The issue will most likely be fixed in src:x2goclient (4.0.3.0).

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
commit 1b24ad238fbd1bf7d95bc0179f6ccafe13d7536f
Author: Mike DePaulo <mikedep333@gmail.com>
Date:   Sat Sep 6 21:30:02 2014 -0400

    Upgrade libssh from 0.5.5 to 0.6.3, including the Pageant support patch (Fixes: #590)

diff --git a/debian/changelog b/debian/changelog
index 7aec292..bf99dca 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -60,6 +60,10 @@ x2goclient (4.0.3.0-0x2go1) UNRELEASED; urgency=low
       directory as the cwd. So they were not affected.) (Fixes: #587)
     - Windows: Make the desktop shortcut optional during install,
       but still the default.
+    - Windows: Upgrade libssh from 0.5.5 to 0.6.3. This fixes connecting to
+      hpn-enabled SSH servers. The Pageant support patch from the KDE Windows
+      project was ported to 0.6.3 by myself and Mike Frederick.
+      (Gmail: psududemike) (Fixes: #590)
     - Windows: Win32 OpenSSL updated from 1.0.1h to 1.0.1i, which fixes the
       9 CVEs announced on 2014-08-06.
     - Windows: Cygwin OpenSSL updated from 1.0.1h-1 to 1.0.1i-1, which fixes the


Added tag(s) pending. Request was from Mike DePaulo <mikedep333@gmail.com> to control@bugs.x2go.org. (Sun, 07 Sep 2014 01:35:03 GMT) Full text and rfc822 format available.

Marked as fixed in versions 4.0.3.0. Request was from Mike DePaulo <mikedep333@gmail.com> to control@bugs.x2go.org. (Sun, 07 Sep 2014 01:35:03 GMT) Full text and rfc822 format available.

Message sent on to Lars Wendler <polynomial-c@gentoo.org>:
Bug#590. (Sun, 07 Sep 2014 01:35:03 GMT) Full text and rfc822 format available.

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#590; Package x2goclient. (Sun, 07 Sep 2014 02:00:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael DePaulo <mikedep333@gmail.com>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Sun, 07 Sep 2014 02:00:02 GMT) Full text and rfc822 format available.

Message #36 received at 590@bugs.x2go.org (full text, mbox):

From: Michael DePaulo <mikedep333@gmail.com>
To: 590@bugs.x2go.org
Subject: The patch, and upstreaming it
Date: Sat, 6 Sep 2014 21:57:32 -0400
The changelog mentions the work that I and my friend (Mike Frederick)
did on the Pageant patch to port it from libssh-0.5.x to libssh-0.6.3.

The libssh-0.6.3 version of the patch is here:
http://code.x2go.org/releases/source/libssh-modified-by-x2go-project/implement-support-for-putty-s-pageant-0.6.3-de62963.patch

I will try to upstream it. It was rough around the edges previously,
and it still is. We will probably have to revise it in order to get it
upstreamed. Hence why I put the git commit hash in the patch name;
it's the way of denoting the exact patch version.

The source code is here:
http://code.x2go.org/releases/source/libssh-modified-by-x2go-project/libssh-0.6.3-de62963-pageant-support.src.zip

And the binary + headers are in a .zip here:
http://code.x2go.org/releases/binary-win32/3rd-party/libssh-modified-by-x2go-project/libssh-0.6.3-de62963-pageant-support-mingw4.4.0.zip

-Mike#2


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#590; Package x2goclient. (Sun, 07 Sep 2014 02:05:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael DePaulo <mikedep333@gmail.com>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Sun, 07 Sep 2014 02:05:02 GMT) Full text and rfc822 format available.

Message #41 received at 590@bugs.x2go.org (full text, mbox):

From: Michael DePaulo <mikedep333@gmail.com>
To: 590@bugs.x2go.org, Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
Subject: Should libssh.dll be built with zlib support?
Date: Sat, 6 Sep 2014 22:04:09 -0400
Hi Mike#1,

Should libssh.dll be built with zlib support? My 0.6.3 build is, while
Alex's 0.5.5 build is not.

-Mike


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#590; Package x2goclient. (Mon, 08 Sep 2014 08:30:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Mon, 08 Sep 2014 08:30:02 GMT) Full text and rfc822 format available.

Message #46 received at 590@bugs.x2go.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: Michael DePaulo <mikedep333@gmail.com>
Cc: 590@bugs.x2go.org
Subject: Re: Should libssh.dll be built with zlib support?
Date: Mon, 08 Sep 2014 08:25:02 +0000
[Message part 1 (text/plain, inline)]
Hi Mike#2,

On  So 07 Sep 2014 04:04:09 CEST, Michael DePaulo wrote:

> Hi Mike#1,
>
> Should libssh.dll be built with zlib support? My 0.6.3 build is, while
> Alex's 0.5.5 build is not.
>
> -Mike

I'd say yes. I presume without linking against zlib, SSH compression  
support won't be available via libssh. But I am just guessing.

With Python X2Go, I have disabled all compression features in  
Paramiko/SSH, because the compression should rather take place (and  
does) in NX. So dropping compression in SSH brings some server-side  
relaxation on the CPU, I hope. I did not do any benchmarking on this,  
though. With Telekinesis/mTelePlayer the subjective impression is that  
it speeds up things on large videos.

Greets,
Mike
-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-signature, inline)]

Bug 590 cloned as bug 600 Request was from Michael DePaulo <mikedep333@gmail.com> to control@bugs.x2go.org. (Mon, 08 Sep 2014 12:10:01 GMT) Full text and rfc822 format available.

Changed Bug title to 'reintroduce zlib support for libssh' from 'X2Go Client for Windows with libssh-0.5.x: cannot connect to hpn-enabled SSH servers' Request was from Michael DePaulo <mikedep333@gmail.com> to control@bugs.x2go.org. (Mon, 08 Sep 2014 12:10:01 GMT) Full text and rfc822 format available.

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#600; Package x2goclient. (Mon, 08 Sep 2014 13:00:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael DePaulo <mikedep333@gmail.com>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Mon, 08 Sep 2014 13:00:02 GMT) Full text and rfc822 format available.

Message #55 received at 600@bugs.x2go.org (full text, mbox):

From: Michael DePaulo <mikedep333@gmail.com>
To: 600@bugs.x2go.org
Subject: more zlib details
Date: Mon, 8 Sep 2014 08:55:07 -0400
Control: retitle -1 reintroduce zlib support for libssh in X2Go Client
for Windows

History:

With libssh-0.5.2 (built by the KDE Windows project), zlib support was included:
http://code.x2go.org/releases/binary-win32/3rd-party/libssh/libssh-x86-mingw4-0.5.2-1-bin.zip
It used "libz.dll" 1.2.7

With libssh-0.5.5 (built by Alex), zlib support was not included:
http://code.x2go.org/releases/binary-win32/3rd-party/libssh/libssh-with-pagent.patch/libssh-0.5.5.zip

Now with libssh-0.6.3 (built by me), zlib support was reintroduced.
"zlib1.dll" 1.2.3 was already being shipped by us.
It was linked against the headers for 1.2.8.

What I will do:

I will update zlib1.dll to 1.2.8. 1.2.3 does not lack any security
updates. However it isn't supported, only the latest 1.2.x release is.
http://www.zlib.net/
http://zlib.net/zlib128-dll.zip

Also, it appears that nothing was using libz.dll since the upgrade to
libssh-0.5.5, and that nothing was using zlib1.dll until the upgrade
to libssh-0.6.3. Therefore, I will delete libz.dll.


Changed Bug title to 'reintroduce zlib support for libssh in X2Go Client' from 'reintroduce zlib support for libssh' Request was from Michael DePaulo <mikedep333@gmail.com> to 600-submit@bugs.x2go.org. (Mon, 08 Sep 2014 13:00:02 GMT) Full text and rfc822 format available.

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#600; Package x2goclient. (Mon, 08 Sep 2014 13:05:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael DePaulo <mikedep333@gmail.com>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Mon, 08 Sep 2014 13:05:02 GMT) Full text and rfc822 format available.

Message #62 received at 600@bugs.x2go.org (full text, mbox):

From: Michael DePaulo <mikedep333@gmail.com>
To: 600@bugs.x2go.org
Subject: keeping libz.dll
Date: Mon, 8 Sep 2014 09:03:30 -0400
Ignore my last email's comments about libz.dll. libzip.dll (from the
KDE windows project) still depends on it. Therefore, I will keep
libz.dll.


Send a report that this bug log contains spam.


X2Go Developers <owner@bugs.x2go.org>. Last modified: Wed Dec 12 04:01:15 2018; Machine Name: ymir.das-netzwerkteam.de

X2Go Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.